## mcip 0.1-maemo5

=== Makefile ===
DIRS = plugin ui src data

ALL :
	qmake -makefile src/backend.pro -o src/Makefile
	set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d ; done

clean :
	set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d clean ; done

install :
	mkdir -p $(DESTDIR)/opt/cim
	mkdir -p $(DESTDIR)/opt/cim/ui
	mkdir -p $(DESTDIR)/opt/cim/plugin
	mkdir -p $(DESTDIR)/opt/cim/data
	cp src/libbackend.so $(DESTDIR)/opt/cim/ui/backend.so
	cp plugin/gconf.sh $(DESTDIR)/opt/cim/plugin 
	cp plugin/recover.sh $(DESTDIR)/opt/cim/plugin 
	cp plugin/inputpad_plugin.so $(DESTDIR)/usr/lib/hildon-input-method/ 
	cp plugin/me.maemo.chinese.inputpad.service $(DESTDIR)/usr/share/dbus-1/services/ 
	cp data/formated $(DESTDIR)/opt/cim/data
	cp ui/*.py $(DESTDIR)/opt/cim/ui
	cp ui/*.pyo $(DESTDIR)/opt/cim/ui
	cp run.sh $(DESTDIR)/opt/cim
	if test "$(DESTDIR)x" == "x"; then \
		hildon-im-recache; \
		su user -c "sh /opt/cim/plugin/gconf.sh"; \
	fi

uninstall :
	su user -c "sh /opt/cim/plugin/recover.sh"
	rm /usr/lib/hildon-input-method/inputpad_plugin.so
	rm /usr/share/dbus-1/services/me.maemo.chinese.inputpad.service
	rm -rf /opt/cim

=== data/Makefile ===
formated :
	python get_formated.py > formated

clean :
	rm formated

=== ui/Makefile ===
ALL :
	python2.5 -OO -m py_compile *.py

clean :
	rm *.pyo

=== debian/changelog ===
mcip (0.1-maemo5) fremantle; urgency=low

  * Initial release

 -- Evan JIANG <firstfan@gmail.com>  Tue,  08 Mar 2011 23:24:00 +0800

=== debian/control ===
Source: mcip
Section: user/system
Priority: optional
Maintainer: Evan JIANG <firstfan@gmail.com> 
XSBC-Original-Maintainer: foolegg <sd.foolegg@gmail.com>
Build-Depends: dpkg-dev (>= 1.13.19), debhelper (>= 4.0.0), dpatch, autotools-dev, pkg-config, libgconf2-dev, libdbus-glib-1-dev, libhildon-im-ui-dev, hildon-input-method-framework-dev, libgtk2.0-dev, libosso-dev, python2.5-dev, libqt4-dev
Standards-Version: 3.7.2

Package: mcip
Architecture: any
Conflicts: scim, mscim
Depends:  ${shlibs:Depends}, python2.5-qt4, pyside-qt4-gui
Description: A Chinese Pinyin input method for Hildon Input Method Framework
 The author of this greate input method plugin is foolegg <sd.foolegg@gmail.com>
 This package will install a plugin for Hildon Input Method Framework, and will replace your default virtual keyboard.
 Please uninstall MSCIM if you already installed that before.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mcip.
	$(MAKE) DESTDIR=$(CURDIR)/debian/mcip install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mcip 0.2-maemo5

=== debian/changelog ===
mcip (0.2-maemo5) fremantle; urgency=low

  * 0.2 release

 -- liang <sd.foolegg@gmail.com>  Tue,  10 May 2011 23:24:00 +0800

=== debian/control ===
Source: mcip
Section: user/system
Priority: optional
Maintainer: Evan JIANG <firstfan@gmail.com> 
XSBC-Original-Maintainer: foolegg <sd.foolegg@gmail.com>
Build-Depends: dpkg-dev (>= 1.13.19), debhelper (>= 4.0.0), dpatch, autotools-dev, pkg-config, libgconf2-dev, libdbus-glib-1-dev, libhildon-im-ui-dev, hildon-input-method-framework-dev, libgtk2.0-dev, libosso-dev, python2.5
Standards-Version: 3.7.2

Package: mcip
Architecture: any
Conflicts: scim, mscim
Depends:  ${shlibs:Depends}, pyside-qt4
Description: A Chinese Pinyin input method for Hildon Input Method Framework
 This package will install a plugin for Hildon Input Method Framework, and will replace your default virtual keyboard.
 Please uninstall MSCIM if you already installed that before.

## mcip 0.2-maemo5-1

=== debian/changelog ===
mcip (0.2-maemo5-1) fremantle; urgency=low

  * fix enter issue
  * fix depend issue
  * some ui change

 -- liang <sd.foolegg@gmail.com>  Tue,  10 May 2011 23:24:00 +0800

## mcip 0.2-maemo5-2

=== debian/changelog ===
mcip (0.2-maemo5-2) fremantle; urgency=low

  * set Qt:WA_InputMethodEnabled to false

 -- liang <sd.foolegg@gmail.com>  Wed,  11 May 2011 23:34:00 +0800

## mcip 0.2.2-maemo5-2

=== data/Makefile ===
all : formated

formated :
	python format.py > formated

clean :
	rm formated

=== debian/changelog ===
mcip (0.2.2-maemo5-2) fremantle; urgency=low
  * change keyboard to fullScreen mode
  * add symbol input and english input
 -- liang <sd.foolegg@gmail.com>  Thu,  13 May 2011 02:34:00 +0800

mcip (0.2.1-maemo5-2) fremantle; urgency=low

  * set Qt:WA_InputMethodEnabled to false

 -- liang <sd.foolegg@gmail.com>  Wed,  11 May 2011 23:34:00 +0800

mcip (0.2.1-maemo5-1) fremantle; urgency=low

  * fix enter issue
  * fix depend issue
  * some ui change

 -- liang <sd.foolegg@gmail.com>  Wed,  11 May 2011 22:24:00 +0800

mcip (0.2.0-maemo5) fremantle; urgency=low

  * 0.2 release

 -- liang <sd.foolegg@gmail.com>  Tue,  10 May 2011 23:24:00 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: mcip
 Architecture: any
 Conflicts: scim, mscim
-Depends:  ${shlibs:Depends}, pyside-qt4
+Depends:  ${shlibs:Depends}, pyside-qt4, python2.5-qt4-dbus
 Description: A Chinese Pinyin input method for Hildon Input Method Framework
  This package will install a plugin for Hildon Input Method Framework, and will replace your default virtual keyboard.
  Please uninstall MSCIM if you already installed that before.

=== debian/rules ===
--- 
+++ 
@@ -90,7 +90,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	maemo-optify
+#	maemo-optify
 	dh_md5sums
 	dh_builddeb

## mcip 0.2.2-maemo5-3

=== debian/changelog ===
mcip (0.2.2-maemo5-3) fremantle; urgency=low
  * remove mscim, scim conflicts
 -- liang <sd.foolegg@gmail.com>  Thu,  13 May 2011 09:24:00 +0800

## mcip 0.2.3-maemo5-1

=== debian/changelog ===
mcip (0.2.3-maemo5-1) fremantle; urgency=low
  * add userdict and phrase freq adjuest
 -- liang <sd.foolegg@gmail.com>  Thu,  13 May 2011 21:24:00 +0800

## mcip 0.2.4-maemo5-1

=== debian/changelog ===
mcip (0.2.4-maemo5-1) fremantle; urgency=low
  * fix mouse offset when finger release
  * show dialog mode
  * add CN/EN mode change
  * add backspace auto repeat
  * add chinese punc
 -- liang <sd.foolegg@gmail.com>  Sun,  15 May 2011 12:00:00 +0800
 

## mcip 0.2.5-maemo5-1

=== python/Makefile ===
ALL :
	python2.5 -OO -m py_compile ui/*.py
	python2.5 -OO -m py_compile pinyinLookup/*.py
	python2.5 -OO -m py_compile utils/*.py
	python2.5 -OO -m py_compile qwert/*.py

clean :
	rm ui/*.pyo
	rm pinyinLookup/*.pyo
	rm utils/*.pyo
	rm qwert/*.pyo

=== debian/changelog ===
mcip (0.2.5-maemo5-1) fremantle; urgency=low
  * add portrait mode
  * add send enterkey event func
 -- liang <sd.foolegg@gmail.com>  Mon,  16 May 2011 12:00:00 +0800
 

## mcip 0.2.5.1-maemo5-1

=== debian/changelog ===
mcip (0.2.5.1-maemo5-1) fremantle; urgency=low
  * fix rotate bug
 -- liang <sd.foolegg@gmail.com>  Mon,  16 May 2011 16:40:00 +0800
 

## mcip 0.2.5.2-maemo5-1

=== Makefile ===
DIRS = plugin python data

ALL : runtime
	#qmake -makefile src/backend.pro -o src/Makefile
	set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d ; done

runtime :
	sh runtime.sh

clean :
	set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d clean ; done

install :
	mkdir -p $(DESTDIR)/opt/cim
	mkdir -p $(DESTDIR)/opt/cim/python
	mkdir -p $(DESTDIR)/opt/cim/plugin
	mkdir -p $(DESTDIR)/opt/cim/data
	cp plugin/gconf.sh $(DESTDIR)/opt/cim/plugin 
	cp plugin/recover.sh $(DESTDIR)/opt/cim/plugin 
	cp plugin/inputpad_plugin.so $(DESTDIR)/usr/lib/hildon-input-method/ 
	cp plugin/me.maemo.chinese.inputpad.service $(DESTDIR)/usr/share/dbus-1/services/ 
	cp data/formated $(DESTDIR)/opt/cim/data
	cp -r python/* $(DESTDIR)/opt/cim/python
	cp -r bin $(DESTDIR)/opt/cim/
	cp mcip $(DESTDIR)/opt/cim/
	if test "$(DESTDIR)x" == "x"; then \
		hildon-im-recache; \
		su user -c "sh /opt/cim/plugin/gconf.sh"; \
	fi

uninstall :
	su user -c "sh /opt/cim/plugin/recover.sh"
	rm /usr/lib/hildon-input-method/inputpad_plugin.so
	rm /usr/share/dbus-1/services/me.maemo.chinese.inputpad.service
	rm -rf /opt/cim

=== debian/changelog ===
mcip (0.2.5.2-maemo5-1) fremantle; urgency=low
  * add auto rotate with CSSU Rotate feature
 -- liang <sd.foolegg@gmail.com>  Tue,  17 May 2011 00:40:00 +0800

## mcip 0.2.6-maemo5-1

=== debian/changelog ===
mcip (0.2.6-maemo5-1) fremantle; urgency=low
  * add textCursor control pad
  * add copy/paste
  * improve rotate
  * add commit delay for improve commit
 -- liang <sd.foolegg@gmail.com>  Web,  18 May 2011 12:24:00 +0800
 

## mcip 0.2.6.1-maemo5-1

=== debian/changelog ===
mcip (0.2.6.1-maemo5-1) fremantle; urgency=low
  * link control pad clipstring to system clipboard
 -- liang <sd.foolegg@gmail.com>  Web,  18 May 2011 19:24:00 +0800

## mcip 0.2.6.2-maemo5-2

=== debian/changelog ===
mcip (0.2.6.2-maemo5-2) fremantle; urgency=low
  * repackage
 -- liang <sd.foolegg@gmail.com>  Sat,  21 May 2011 08:50:00 +0800
 

mcip (0.2.6.2-maemo5-1) fremantle; urgency=low
  * fix system clipboard problem. It shoud call with QtGui.QApplication.clipboard(), not create object
  * fix preedit position in portrait mode
 -- liang <sd.foolegg@gmail.com>  Fri,  20 May 2011 01:00:00 +0800

## mcip 0.2.7-maemo5-1

=== debian/changelog ===
mcip (0.2.7-maemo5-1) fremantle; urgency=low
  * add T9 keyboard and T9 pinyinLookup
  * fix ProxyMouseArea exit process
 -- liang <sd.foolegg@gmail.com>  Tue,  24 May 2011 08:50:00 +0800
 

## mcip 0.2.7.1-maemo5-1

=== debian/changelog ===
mcip (0.2.7.1-maemo5-1) fremantle; urgency=low
  * fix t9 rotate in seclectMode issue
 -- liang <sd.foolegg@gmail.com>  Wed,  25 May 2011 01:00:00 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: mcip
 Architecture: any
-Conflicts: scim, mscim
+#Conflicts: scim, mscim
 Depends:  ${shlibs:Depends}, pyside-qt4, python2.5-qt4-dbus
 Description: A Chinese Pinyin input method for Hildon Input Method Framework
  This package will install a plugin for Hildon Input Method Framework, and will replace your default virtual keyboard.

## mcip 0.2.7.2-maemo5-1

=== debian/changelog ===
mcip (0.2.7.2-maemo5-1) fremantle; urgency=low
  * fix 36wk issue
 -- liang <sd.foolegg@gmail.com>  Wed,  25 May 2011 19:00:00 +0800
 

## mcip 0.3.0-maemo5-1

=== debian/changelog ===
mcip (0.3.0-maemo5-1) fremantle; urgency=low
  * rewrite Chinese input engine with c++, import as a qml plugin.
 -- liang <sd.foolegg@gmail.com>  Wed,  1 Jun 2011 17:00:00 +0800
 

## mcip 0.3.0.1-maemo5-1

=== Makefile ===
DIRS = src/plugin python data
QML_PLUGIN_DIRS = src/clipboard src/engine src/mousetrack

ALL : qml_plugin runtime
	#qmake -makefile src/backend.pro -o src/Makefile
	set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d ; done

qml_plugin :
	set -e ; for d in $(QML_PLUGIN_DIRS) ; do qmake -makefile $$d/plugin.pro -o $$d/Makefile ; done
	set -e ; for d in $(QML_PLUGIN_DIRS) ; do $(MAKE) -C $$d ; done

runtime :
	sh runtime.sh

clean :
	set -e ; for d in $(DIRS) ; do $(MAKE) -C $$d clean ; done
	set -e ; for d in $(QML_PLUGIN_DIRS) ; do $(MAKE) -C $$d clean ; done

install :
	mkdir -p $(DESTDIR)/opt/cim
	mkdir -p $(DESTDIR)/opt/cim/python
	mkdir -p $(DESTDIR)/opt/cim/plugin
	mkdir -p $(DESTDIR)/opt/cim/data
	cp src/plugin/gconf.sh $(DESTDIR)/opt/cim/plugin 
	cp src/plugin/recover.sh $(DESTDIR)/opt/cim/plugin 
	cp src/plugin/inputpad_plugin.so $(DESTDIR)/usr/lib/hildon-input-method/ 
	cp src/plugin/me.maemo.chinese.inputpad.service $(DESTDIR)/usr/share/dbus-1/services/ 
	cp data/formated $(DESTDIR)/opt/cim/data
	cp -r python/qwert $(DESTDIR)/opt/cim/python
	cp -r python/ui $(DESTDIR)/opt/cim/python
	cp -r bin $(DESTDIR)/opt/cim/
	cp mcip $(DESTDIR)/opt/cim/
	rm $(DESTDIR)/opt/cim/bin/qml/*.so
	set -e ; for d in $(QML_PLUGIN_DIRS) ; do cp $$d/*.so $(DESTDIR)/opt/cim/bin/qml ; done
	if test "$(DESTDIR)x" == "x"; then \
		hildon-im-recache; \
		su user -c "sh /opt/cim/plugin/gconf.sh"; \
	fi

uninstall :
	su user -c "sh /opt/cim/plugin/recover.sh"
	rm /usr/lib/hildon-input-method/inputpad_plugin.so
	rm /usr/share/dbus-1/services/me.maemo.chinese.inputpad.service
	rm -rf /opt/cim

=== src/clipboard/Makefile ===
#############################################################################
# Makefile for building: libclipboard.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Jun 1 05:10:13 2011
# Project:  plugin.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile plugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_PLUGIN -DQT_DECLARATIVE_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtDeclarative -I/targets/FREMANTLE_ARMEL/usr/include -Itmp
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtDeclarative -L/usr/lib -L/usr/X11R6/lib -lQtScript -lQtSvg -lQtSql -lQtXmlPatterns -lQtOpenGL -lQtNetwork -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = tmp/

####### Files

SOURCES       = plugin.cpp tmp/moc_plugin.cpp \
		tmp/moc_clipboard.cpp
OBJECTS       = tmp/plugin.o \
		tmp/moc_plugin.o \
		tmp/moc_clipboard.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		plugin.pro
QMAKE_TARGET  = clipboard
DESTDIR       = 
TARGET        = libclipboard.so
TARGETD       = libclipboard.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: plugin.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDeclarative.prl \
		/usr/lib/libQtScript.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXmlPatterns.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtOpenGL.prl
	$(QMAKE) -o Makefile plugin.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDeclarative.prl:
/usr/lib/libQtScript.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXmlPatterns.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtOpenGL.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile plugin.pro

dist: 
	@$(CHK_DIR_EXISTS) tmp/clipboard1.0.0 || $(MKDIR) tmp/clipboard1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) tmp/clipboard1.0.0/ && $(COPY_FILE) --parents plugin.h clipboard.h tmp/clipboard1.0.0/ && $(COPY_FILE) --parents plugin.cpp tmp/clipboard1.0.0/ && (cd `dirname tmp/clipboard1.0.0` && $(TAR) clipboard1.0.0.tar clipboard1.0.0 && $(COMPRESS) clipboard1.0.0.tar) && $(MOVE) `dirname tmp/clipboard1.0.0`/clipboard1.0.0.tar.gz . && $(DEL_FILE) -r tmp/clipboard1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: tmp/moc_plugin.cpp tmp/moc_clipboard.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) tmp/moc_plugin.cpp tmp/moc_clipboard.cpp
tmp/moc_plugin.cpp: plugin.h
	/usr/bin/moc $(DEFINES) $(INCPATH) plugin.h -o tmp/moc_plugin.cpp

tmp/moc_clipboard.cpp: clipboard.h
	/usr/bin/moc $(DEFINES) $(INCPATH) clipboard.h -o tmp/moc_clipboard.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

tmp/plugin.o: plugin.cpp plugin.h \
		clipboard.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/plugin.o plugin.cpp

tmp/moc_plugin.o: tmp/moc_plugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/moc_plugin.o tmp/moc_plugin.cpp

tmp/moc_clipboard.o: tmp/moc_clipboard.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/moc_clipboard.o tmp/moc_clipboard.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== src/engine/Makefile ===
#############################################################################
# Makefile for building: libengine.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Jun 1 05:10:13 2011
# Project:  plugin.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile plugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_PLUGIN -DQT_DECLARATIVE_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtDeclarative -I/targets/FREMANTLE_ARMEL/usr/include -Itmp
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtDeclarative -L/usr/lib -L/usr/X11R6/lib -lQtScript -lQtSvg -lQtSql -lQtXmlPatterns -lQtOpenGL -lQtNetwork -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = tmp/

####### Files

SOURCES       = plugin.cpp tmp/moc_plugin.cpp \
		tmp/moc_engine.cpp
OBJECTS       = tmp/plugin.o \
		tmp/moc_plugin.o \
		tmp/moc_engine.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		plugin.pro
QMAKE_TARGET  = engine
DESTDIR       = 
TARGET        = libengine.so
TARGETD       = libengine.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: plugin.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDeclarative.prl \
		/usr/lib/libQtScript.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXmlPatterns.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtOpenGL.prl
	$(QMAKE) -o Makefile plugin.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDeclarative.prl:
/usr/lib/libQtScript.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXmlPatterns.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtOpenGL.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile plugin.pro

dist: 
	@$(CHK_DIR_EXISTS) tmp/engine1.0.0 || $(MKDIR) tmp/engine1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) tmp/engine1.0.0/ && $(COPY_FILE) --parents plugin.h engine.h tmp/engine1.0.0/ && $(COPY_FILE) --parents plugin.cpp tmp/engine1.0.0/ && (cd `dirname tmp/engine1.0.0` && $(TAR) engine1.0.0.tar engine1.0.0 && $(COMPRESS) engine1.0.0.tar) && $(MOVE) `dirname tmp/engine1.0.0`/engine1.0.0.tar.gz . && $(DEL_FILE) -r tmp/engine1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: tmp/moc_plugin.cpp tmp/moc_engine.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) tmp/moc_plugin.cpp tmp/moc_engine.cpp
tmp/moc_plugin.cpp: plugin.h
	/usr/bin/moc $(DEFINES) $(INCPATH) plugin.h -o tmp/moc_plugin.cpp

tmp/moc_engine.cpp: ../lookup/lookup.h \
		../lookup/split.h \
		../lookup/fit.h \
		../lookup/pick.h \
		../lookup/dict.h \
		../lookup/t9.h \
		../lookup/trie.h \
		engine.h
	/usr/bin/moc $(DEFINES) $(INCPATH) engine.h -o tmp/moc_engine.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

tmp/plugin.o: plugin.cpp plugin.h \
		engine.h \
		../lookup/lookup.h \
		../lookup/split.h \
		../lookup/fit.h \
		../lookup/pick.h \
		../lookup/dict.h \
		../lookup/t9.h \
		../lookup/trie.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/plugin.o plugin.cpp

tmp/moc_plugin.o: tmp/moc_plugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/moc_plugin.o tmp/moc_plugin.cpp

tmp/moc_engine.o: tmp/moc_engine.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/moc_engine.o tmp/moc_engine.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== src/mousetrack/Makefile ===
#############################################################################
# Makefile for building: libmousetrack.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Jun 1 05:10:14 2011
# Project:  plugin.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile plugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_PLUGIN -DQT_DECLARATIVE_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtDeclarative -I/targets/FREMANTLE_ARMEL/usr/include -Itmp
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtDeclarative -L/usr/lib -L/usr/X11R6/lib -lQtScript -lQtSvg -lQtSql -lQtXmlPatterns -lQtOpenGL -lQtNetwork -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = tmp/

####### Files

SOURCES       = plugin.cpp tmp/moc_plugin.cpp \
		tmp/moc_track.cpp
OBJECTS       = tmp/plugin.o \
		tmp/moc_plugin.o \
		tmp/moc_track.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		plugin.pro
QMAKE_TARGET  = mousetrack
DESTDIR       = 
TARGET        = libmousetrack.so
TARGETD       = libmousetrack.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: plugin.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDeclarative.prl \
		/usr/lib/libQtScript.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXmlPatterns.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtOpenGL.prl
	$(QMAKE) -o Makefile plugin.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDeclarative.prl:
/usr/lib/libQtScript.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXmlPatterns.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtOpenGL.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile plugin.pro

dist: 
	@$(CHK_DIR_EXISTS) tmp/mousetrack1.0.0 || $(MKDIR) tmp/mousetrack1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) tmp/mousetrack1.0.0/ && $(COPY_FILE) --parents plugin.h track.h tmp/mousetrack1.0.0/ && $(COPY_FILE) --parents plugin.cpp tmp/mousetrack1.0.0/ && (cd `dirname tmp/mousetrack1.0.0` && $(TAR) mousetrack1.0.0.tar mousetrack1.0.0 && $(COMPRESS) mousetrack1.0.0.tar) && $(MOVE) `dirname tmp/mousetrack1.0.0`/mousetrack1.0.0.tar.gz . && $(DEL_FILE) -r tmp/mousetrack1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: tmp/moc_plugin.cpp tmp/moc_track.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) tmp/moc_plugin.cpp tmp/moc_track.cpp
tmp/moc_plugin.cpp: plugin.h
	/usr/bin/moc $(DEFINES) $(INCPATH) plugin.h -o tmp/moc_plugin.cpp

tmp/moc_track.cpp: track.h
	/usr/bin/moc $(DEFINES) $(INCPATH) track.h -o tmp/moc_track.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

tmp/plugin.o: plugin.cpp plugin.h \
		track.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/plugin.o plugin.cpp

tmp/moc_plugin.o: tmp/moc_plugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/moc_plugin.o tmp/moc_plugin.cpp

tmp/moc_track.o: tmp/moc_track.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp/moc_track.o tmp/moc_track.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
mcip (0.3.0.1-maemo5-1) fremantle; urgency=low
  * fix candidate repeat issue.
 -- liang <sd.foolegg@gmail.com>  Fri,  3 Jun 2011 17:00:00 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Evan JIANG <firstfan@gmail.com> 
 XSBC-Original-Maintainer: foolegg <sd.foolegg@gmail.com>
-Build-Depends: dpkg-dev (>= 1.13.19), debhelper (>= 4.0.0), dpatch, autotools-dev, pkg-config, libgconf2-dev, libdbus-glib-1-dev, libhildon-im-ui-dev, hildon-input-method-framework-dev, libgtk2.0-dev, libosso-dev, python2.5
+Build-Depends: dpkg-dev (>= 1.13.19), debhelper (>= 4.0.0), dpatch, autotools-dev, pkg-config, libgconf2-dev, libdbus-glib-1-dev, libhildon-im-ui-dev, hildon-input-method-framework-dev, libgtk2.0-dev, libosso-dev, python2.5, libqt4-dev
 Standards-Version: 3.7.2
 
 Package: mcip
